Skip to main content
GET
/
public
/
v1
/
personas
List buyer personas
curl --request GET \
  --url http://app.stairoids.com/api/public/v1/personas \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 3,
    "name": "VP of Marketing",
    "exclude": false,
    "keywords": [
      "<string>"
    ],
    "owner": {
      "id": 30,
      "name": "Stairoids",
      "firstName": "Thomas",
      "lastName": "Berrens",
      "profilePicture": "<string>"
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Response

OK

id
integer<int64>

Persona id.

Example:

3

name
string

Persona name.

Example:

"VP of Marketing"

exclude
boolean

Whether this persona is excluded from scoring.

Example:

false

keywords
string[]

Matching keywords for this persona.

Matching keywords for this persona.

owner
object

The user who owns this resource (id, name, avatar — no email).